Vulnerabilidades en teclados y ratones Logitech permiten espiar a sus usuarios.
Entrada publicada el 17 | 07 | 2019

Un elevado número de teclados y ratones inalámbricos de Logitech presentan vulnerabilidades de seguridad. Un atacante podría espiar las pulsaciones e incluso infectar la máquina.

El investigador de seguridad Marcus Mengs ha descubierto que un gran número de teclados y ratones de Logitech son vulnerables a ataques mediante wireless. Su investigación sobre las conexiones wireless de los mencionados dispositivos ha puesto al descubierto numerosas debilidades. Estas vulnerabilidades afectan a teclados, ratones, y a punteros láser inalámbricos.

Los fallos permitirían a un atacante espiar las pulsaciones de los teclados. Todo lo que el usuario escribe puede ser capturado y leído por un potencial atacante. También permitiría enviar cualquier comando si un dispositivo vulnerable está conectado a la máquina víctima.

Según el fabricante, cualquier dispositivo de la firma Logitech con la tecnología de radio Unifying es vulnerable. Esta clase de tecnología está presente en los dispositivos de la compañía desde el año 2009. Los receptores USB vulnerables son reconocidos por un pequeño logo naranja con forma de estrella.

La serie gaming Lightspeed y los dispositivos apuntadores R500 y Spotlight están también afectados. Los punteros láser R400R700 y R800 no son vulnerables a este ataque, pero sí lo son a otro ataque ya descubierto conocido como Mousejack.

Las dos vulnerabilidades, tienen como identificadores CVE-2019-13053 y CVE-2019-13052.

La vulnerabilidad CVE-2019-13053 permite a un atacante remoto inyectar cualquier pulsación en la comunicación de radio cifrada sin necesidad de conocer la clave criptográfica. Para lograrlo, el atacante sólo necesitaría acceso temporal al teclado. Según Mengs, otra forma de inyectar pulsaciones sería observando durante unos segundos el trafico de radio mientras el usuario está escribiendo y al mismo tiempo, procesar esa información para atacar el cifrado.

La segunda vulnerabilidad, con identificador CVE-2019-13052 permite a un atacante descifrar la comunicación entre el teclado y la máquina anfitriona si se ha interceptado el proceso de emparejamiento.

Para protegerse de estas vulnerabilidades es conveniente actualizar el firmware a la versión más reciente en los dispositivos afectados. Logitech recomienda usar el programa Logitech Firmware Update Tool SecureDFU para llevar a cabo la actualización.

WordPress Appliance - Powered by TurnKey Linux